libkf5messagelist5abi1_18.08.3-2_i386.deb


Advertisement

Description

libkf5messagelist5abi1 - KDE PIM messaging library, message list library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libkf5messagelist5abi1_18.08.3-2_i386.deb
Package name libkf5messagelist5abi1
Package version 18.08.3
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://pim.kde.org/
License -
Maintainer Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 318.59 KB
Installed size 1.10 MB
This package contains the message list library. It provides a widget for the
e-mail message lists with extensive filtering, grouping and useful features.
This package is part of the KDE PIM module.

Alternatives

Package Version Architecture Repository
libkf5messagelist5abi1_18.08.3-2_amd64.deb 18.08.3 amd64 Debian Main
libkf5messagelist5abi1 - - -

Requires

Name Value
kf5-messagelib-data = 4:18.08.3-2
kio -
libc6 >= 2.4
libgcc1 >= 1:3.0
libkf5akonadicore5abi2 >= 4:18.08.3~
libkf5akonadimime5 >= 4:17.12.2
libkf5akonadisearchpim5 >= 4:16.08.0
libkf5completion5 >= 4.97.0
libkf5configcore5 >= 4.98.0
libkf5configgui5 >= 4.97.0
libkf5configwidgets5 >= 4.96.0
libkf5coreaddons5 >= 5.41.0
libkf5i18n5 >= 4.97.0
libkf5iconthemes5 >= 5.25.0
libkf5itemmodels5 >= 4.96.0
libkf5kiocore5 >= 4.96.0
libkf5messagecore5abi1 = 4:18.08.3-2
libkf5mime5abi1 >= 17.12.1
libkf5pimcommon5abi2 >= 4:18.07.90
libkf5pimcommonakonadi5abi1 >= 4:18.07.90
libkf5textwidgets5 >= 5.0.0
libkf5widgetsaddons5 >= 4.96.0
libkf5xmlgui5 >= 4.96.0
libqt5core5a >= 5.11.0~rc1
libqt5gui5 >= 5.9.0~
libqt5widgets5 >= 5.11.0~rc1
libstdc++6 >= 4.1.1

Replaces

Name Value
libmessagelist5 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libkf5messagelist5abi1_18.08.3-2_i386.deb
Source Package kf5-messagelib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkf5messagelist5abi1 deb package:
    # sudo apt-get install libkf5messagelist5abi1

Files

Path
/usr/lib/i386-linux-gnu/libKF5MessageList.so.5.9.3.abi1
/usr/lib/i386-linux-gnu/libKF5MessageList.so.5abi1
/usr/share/doc/libkf5messagelist5abi1/changelog.Debian.gz
/usr/share/doc/libkf5messagelist5abi1/copyright

Changelog

2019-03-02 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:18.08.3-2) unstable; urgency=medium
* Team upload.
[ Sandro Knauß ]
* Disable running tests on mipsel.
* Add patch for CVE-2018-19516 (Closes: #915039)
* Add Build-Depends-Package for symbols files.
2019-02-04 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:18.08.3-1) unstable; urgency=medium
* Team upload.
[ Sandro Knauß ]
* New upstream release (18.08.3).
* Update build-deps and deps with the info from cmake.
* Bump Standards-Version to 4.3.0 (No changes needed).
* Removed acc autopkgtest.
* Removed testsuite autopkgtest.
2018-10-02 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:18.08.1-1) unstable; urgency=medium
* Team upload.
[ Sandro Knauß ]
* Bump Standards-Version to 4.2.1 (No changes needed).
* Update symbols from buildds for 4:18.07.90
* Follow stable releases in KDE again.
* New upstream release (18.08.1).
* Update build-deps and deps with the info from cmake.
2018-08-20 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:18.07.90-1) experimental; urgency=medium
* Team upload.
[ Sandro Knauß ]
* Update watch file to match unstable releases, too.
* New upstream release (18.07.90).
* Bump Standards-Version to 4.2.0 (No changes needed).
* Update build-deps and deps with the info from cmake.
* Update symbols from build for 18.07.90.
* Use DebianABIManager to handle messagelib.
* Update library from libkf5messagecomposer5 -> libkf5messagecomposer5abi1.
* Update library from libkf5messagecore5 -> libkf5messagecore5abi1.
* Update library from libkf5messagelist5 -> libkf5messagelist5abi1.
* Update library from libkf5messageviewer5 -> libkf5messageviewer5abi1.
* Update library from libkf5mimetreeparser5 -> libkf5mimetreeparser5abi1.
* Update library from libkf5webengineviewer5 -> libkf5webengineviewer5abi1.
* Add libxml2-utils to Build-Depends to run tests.
* Update copyright file for new upstream.
* Update lintian-overrides for jquery.
* Remove patches from upstream.
2018-07-31 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
kf5-messagelib (4:17.12.3-3) unstable; urgency=medium
* Team upload.
* Update symbols files with buildds' logs.
2018-07-31 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
kf5-messagelib (4:17.12.3-2) unstable; urgency=medium
* Team upload.
* Backport a patch that makes webenginemessageviewer work with Qt 5.11
(Closes: #905132).
* Add add_missing_hehader.patch to add missing includes due to Qt 5.11
becoming more strict with their usage.
* Update symbols files with current build log (no changes in the buildds'
ones).
2018-03-31 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:17.12.3-1) unstable; urgency=medium
* Team upload.
[ Sandro Knauß ]
* New upstream release (17.12.3).
* Update build-deps and deps with the info from cmake.
* use secure copyright format uri.
* Update linitian overrides.
* Update package descriptions.
2018-03-25 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:17.12.2-4) experimental; urgency=medium
* Team upload.
[ Sandro Knauß ]
* Update symbols from buildds for 4:17.12.2
2018-03-19 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:17.12.2-3) experimental; urgency=medium
* Team upload.
[ Sandro Knauß ]
* Update symbols from buildds for 4:17.12.2
2018-03-15 - Sandro Knauß <hefee@debian.org>
kf5-messagelib (4:17.12.2-2) experimental; urgency=medium
* Team upload.
[ Sandro Knauß ]
* Install plugin messageviewer_grantlee_extension and the syntax-
highlighting template.

See Also

Package Description
libkf5messageviewer-dev_18.08.3-2_i386.deb KDE PIM messaging library, message viewer devel files
libkf5messageviewer5abi1_18.08.3-2_i386.deb KDE PIM messaging library, message viewer library
libkf5mime-data_18.08.3-1_all.deb Arch independent data for library for handling MIME data
libkf5mime-dev_18.08.3-1_i386.deb library for handling MIME data - development files
libkf5mime5abi1_18.08.3-1_i386.deb library for handling MIME data
libkf5mimetreeparser-dev_18.08.3-2_i386.deb KDE PIM Mime Tree parser library - devel files
libkf5mimetreeparser5abi1_18.08.3-2_i386.deb KDE PIM Mime Tree parser library
libkf5modemmanagerqt-doc_5.54.0-1_all.deb Qt wrapper library for ModemManager (documentation)
libkf5modemmanagerqt6_5.54.0-1_i386.deb Qt wrapper library for ModemManager
libkf5networkmanagerqt-dev_5.54.0-1_i386.deb Qt wrapper for NetworkManager - devel files
libkf5networkmanagerqt-doc_5.54.0-1_all.deb Qt wrapper for NetworkManager - library (documentation)
libkf5networkmanagerqt6_5.54.0-1_i386.deb Qt wrapper for NetworkManager - library
libkf5newstuff-data_5.54.0-2_all.deb Support for downloading application assets from the network
libkf5newstuff-dev_5.54.0-2_i386.deb development files for knewstuff
libkf5newstuff-doc_5.54.0-2_all.deb Support for downloading application assets from the network (documentation)
Advertisement
Advertisement